Quassel IRC - Feature #689

Blowfish Support
05/08/2009 01:44 PM - m4ck

Status: Resolved Start date: 05/08/2009
Priority: Normal Due date:

Assignee: johu % Done: 100%
Category: Quassel Core Estimated time: 0.00 hour
Target version: 0.7.0

0S: Any

Description

I would love to see blowfish support in Quassel even though it might not be as widespread for use, but | believe its a very important
one every IRC client should have. | am not sure how hard it is to implement it so not sure how long it will take to implement it. Maybe
this can be used?

http://www.codeproject.com/KB/security/blowfish.aspx

Related issues:

Related to Quassel IRC - Feature #61: Encrypted query Closed
Blocks Quassel IRC - Feature #911: DH1080 Key exchange for Blowfish encryption Resolved 02/11/2010
History

#1 - 05/08/2009 11:21 PM - Sputnick

- Status changed from New to Feedback
Guess you're talking about OTR support here?

#2 - 05/10/2009 09:42 PM - m4ck
OTR Support?

#3 - 05/12/2009 09:30 AM - m4ck

Oh | just understood what OTR was. | am not really sure what kind of encryption Blowfish really is. | guess as long as its compatible with other clients
it should do its job.

#4 - 07/13/2009 07:35 PM - jensp

I'd also really like to see support for blowfish encryption in Quassel. It's the only thing keeping me from changing and dumping irssi. The most
common implementation of blowfish encryption is FiSH™. It has plugins for xchat, irssi and mirc. Another implementation you might want to look at is
Konversation?. It supposedly supports blowfish encryption, too.

[1]: http://ffish.secure.la/
[2]: hitp://en.wikipedia.org/wiki/Konversation

#5 - 11/27/2009 03:20 PM - Sputnick
- Status changed from Feedback to Assigned

- Assignee set to johu

#6 - 11/28/2009 05:17 AM - moonpyk
- File BlowfishIRC.cs added
- File Configuration.cs added

- File CryptedChat.cs added

| implemented blowfish support for my own IRC client a few years ago as a plugin (the client was written in C# and the plugin too). The code is quite
simple, | post it here, as it could help for implementation.

#7 - 12/16/2009 02:18 AM - johu
- % Done changed from 0 to 10
http://www.codeproject.com/KB/security/blowfish.aspx
http://fish.secure.la/
http://en.wikipedia.org/wiki/Konversation

#8 - 02/05/2010 02:05 PM - johu
- % Done changed from 10 to 30

#9 - 02/10/2010 07:04 PM - johu
- % Done changed from 30 to 60

#10 - 02/11/2010 02:07 AM - johu
- Target version set to 0.6.0

- % Done changed from 60 to 80

#11 - 02/11/2010 02:09 AM - johu

- Category set to General / Unspecified

#12 - 02/26/2010 12:51 AM - johu
- Target version changed from 0.6.0 to 0.7.0
- % Done changed from 80 to 90

#13 - 07/28/2010 05:07 PM - johu
- Status changed from Assigned to Resolved

- % Done changed from 90 to 100

Thanks to Sput for clean up the code, see 6f0a153a

#14 - 07/29/2010 04:43 AM - johu
- File deleted (BlowfishIRC.cs)

#15 - 07/29/2010 04:44 AM - johu

- File deleted (Configuration.cs)

#16 - 07/29/2010 04:44 AM - johu
- File deleted (CryptedChat.cs)

#17 - 07/29/2010 04:46 AM - johu

- Category changed from General / Unspecified to Quassel Core
https://wiki.quassel-irc.org/projects/quassel-irc/repository/revisions/6f0a153a674317d77233139fc50a2985af86e36e
